# Enum Class HealpixTableInfo.HpxCoordSys

java.lang.Object
java.lang.Enum<HealpixTableInfo.HpxCoordSys>
uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys

All Implemented Interfaces:
  `Serializable, Comparable<HealpixTableInfo.HpxCoordSys>, Constable`

Enclosing class:
  `HealpixTableInfo`

public static enum HealpixTableInfo.HpxCoordSys extends Enum<HealpixTableInfo.HpxCoordSys>
Characterises the coordinate systems defined by the HEALpix-FITS serialization convention. These are the values permitted for the HEALPix-FITS COORDSYS keyword.

Author:
  Mark Taylor
See Also:
  - HEALPix-FITS convention

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CELESTIAL`
Equatorial, also called celestial.
`ECLIPTIC`
Ecliptic.
`GALACTIC`
Galactic.

## Method Summary

Modifier and Type
Method
Description
`static HealpixTableInfo.HpxCoordSys`
`fromCharacter(char c)`
Returns the instance of this class corresponding to a character label (as used in the FITS serialization).
`String`
`getCharString()`
Returns the 1-character string used to label this system in the FITS serialization.
`String`
`getWord()`
Returns a human-readable short description of this system.
`static HealpixTableInfo.HpxCoordSys`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HealpixTableInfo.HpxCoordSys[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GALACTIC

public static final HealpixTableInfo.HpxCoordSys GALACTIC
Galactic.

### ECLIPTIC

public static final HealpixTableInfo.HpxCoordSys ECLIPTIC
Ecliptic.

### CELESTIAL

public static final HealpixTableInfo.HpxCoordSys CELESTIAL
Equatorial, also called celestial.

## Method Details

### values

public static HealpixTableInfo.HpxCoordSys[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HealpixTableInfo.HpxCoordSys valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCharString

public String getCharString()
Returns the 1-character string used to label this system in the FITS serialization.

Returns:
  1-character string

### getWord

public String getWord()
Returns a human-readable short description of this system.

Returns:
  description

### fromCharacter

public static HealpixTableInfo.HpxCoordSys fromCharacter(char c)
Returns the instance of this class corresponding to a character label (as used in the FITS serialization). Null is returned if the character is not known.

Parameters:
  `c` - coordinate system label
Returns:
  coordinate system object, or null